@if (componentData$ | async; as componentData) {
  <ng-container [sqtmCoreViewId]="'requirement-milestone-view'">
    <div class="flex full-height full-width neutral-background-color">
      <div class="flex-column full-width">
        <div class="full-width flex-row test-case-content-head p-t-10 p-r-30">
          <sqtm-core-fold-button
            class="m-l-10 m-r-20 p-t-10"
          ></sqtm-core-fold-button>
          <div
            [attr.data-test-element-id]="'milestone-label'"
            class="flex-fixed-size full-width test-case-content-head multi-view-title current-workspace-main-color"
          >
            {{ componentData.milestone.label }}
          </div>
        </div>
        <div class="flex-row full-height full-width m-t-10">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'dashboard'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.dashboard.title' | translate
                    "
                    [iconName]="'sqtm-core-generic:dashboard'"
                  >
                  </sqtm-core-anchor-link>
                  <sqtm-core-anchor-link
                    [id]="'information'"
                    nz-tooltip
                    nzTooltipPlacement="right"
                    [nzTooltipTitle]="
                      'sqtm-core.requirement-workspace.title.information'
                        | translate
                    "
                    [iconName]="'sqtm-core-generic:information'"
                  >
                  </sqtm-core-anchor-link>
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div #content class="content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    </div>
  </ng-container>
} @else {
  <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
}
